diff -Naur hdf5-1.6.0/bin/dependencies myhdf5-1.6.0/bin/dependencies
--- hdf5-1.6.0/bin/dependencies	2003-04-28 19:39:41.000000000 +0100
+++ myhdf5-1.6.0/bin/dependencies	2003-07-17 23:58:50.000000000 +0100
@@ -46,4 +46,7 @@
     print NEW $_;
 }
 
+close(DEPEND);
+close(NEW);
+
 `mv $new_depend_file $depend_file`;
diff -Naur hdf5-1.6.0/c++/config/pc-cygwin myhdf5-1.6.0/c++/config/pc-cygwin
--- hdf5-1.6.0/c++/config/pc-cygwin	1970-01-01 00:00:00.000000000 +0000
+++ myhdf5-1.6.0/c++/config/pc-cygwin	2003-07-19 22:10:47.000000000 +0100
@@ -0,0 +1,4 @@
+#							-*- shell-script -*-
+# This is the same as linux-gnulibc1
+
+. $srcdir/config/linux-gnulibc1
diff -Naur hdf5-1.6.0/config/gnu-flags myhdf5-1.6.0/config/gnu-flags
--- hdf5-1.6.0/config/gnu-flags	2003-05-15 19:52:07.000000000 +0100
+++ myhdf5-1.6.0/config/gnu-flags	2003-07-19 15:59:47.000000000 +0100
@@ -47,6 +47,20 @@
 EOF
     sleep 5
 
+# GCC compilers before gcc-3.3 in cygwin also have problems with `long long`.
+elif test gcc = "$cc_vendor" -a cygwin = "$host_os" -a "$cc_vers_all" -lt 3003000; then
+    cat <<EOF
+    **
+    ** This compiler may be unable to properly compile the long long
+    ** data type used extensively by hdf5, although specifying
+    ** --disable-hsizet for configure may work around those bugs.
+    ** There may be other code generation problems also, especially
+    ** when optimizations are enabled.  Please upgrade to at least GNU
+    ** gcc version 3.3 before reporting bugs to the HDF5 team.
+    **
+EOF
+    sleep 5
+
 # Current EGCS compilers have problems with `long long' and register
 # allocation when optimizations are turned on for x86 systems.
 elif test egcs = "$cc_vendor" -a "$cc_vers_all" -le 2091066; then
diff -Naur hdf5-1.6.0/config/pc-cygwin myhdf5-1.6.0/config/pc-cygwin
--- hdf5-1.6.0/config/pc-cygwin	1970-01-01 00:00:00.000000000 +0000
+++ myhdf5-1.6.0/config/pc-cygwin	2003-07-19 15:40:59.000000000 +0100
@@ -0,0 +1,4 @@
+#							-*- shell-script -*-
+# This is the same as linux-gnulibc1
+
+. $srcdir/config/linux-gnulibc1
diff -Naur hdf5-1.6.0/perform/iopipe.c myhdf5-1.6.0/perform/iopipe.c
--- hdf5-1.6.0/perform/iopipe.c	2002-06-30 01:11:42.000000000 +0100
+++ myhdf5-1.6.0/perform/iopipe.c	2003-07-19 12:27:16.000000000 +0100
@@ -20,9 +20,11 @@
 /* See H5private.h for how to include headers */
 #include "hdf5.h"
 
+#if defined(_WIN32)
 #ifdef H5_HAVE_WINSOCK_H
 #include <Winsock.h>
 #endif 
+#endif
 
 /*Winsock.h includes windows.h, due to the different value of
 WINVER, windows.h should be put before H5private.h. Kent yang 6/21/2001*/
diff -Naur hdf5-1.6.0/src/H5Omtime.c myhdf5-1.6.0/src/H5Omtime.c
--- hdf5-1.6.0/src/H5Omtime.c	2003-04-14 06:05:45.000000000 +0100
+++ myhdf5-1.6.0/src/H5Omtime.c	2003-07-18 13:40:27.000000000 +0100
@@ -235,9 +235,10 @@
     }
 #elif defined(H5_HAVE_GETTIMEOFDAY) && defined(H5_HAVE_STRUCT_TIMEZONE)
     {
+	struct timeval tv;
 	struct timezone tz;
 
-	if (HDgettimeofday(NULL, &tz) < 0)
+	if (HDgettimeofday(&tv, &tz) < 0)
 	    HGOTO_ERROR(H5E_OHDR, H5E_CANTINIT, NULL, "unable to obtain local timezone information");
 
 	the_time -= tz.tz_minuteswest * 60 - (tm.tm_isdst ? 3600 : 0);
diff -Naur hdf5-1.6.0/src/H5Zszip.c myhdf5-1.6.0/src/H5Zszip.c
--- hdf5-1.6.0/src/H5Zszip.c	2003-06-30 20:47:37.000000000 +0100
+++ myhdf5-1.6.0/src/H5Zszip.c	2003-07-19 00:50:00.000000000 +0100
@@ -27,6 +27,9 @@
 
 #ifdef H5_HAVE_SZLIB_H
 #   include "szlib.h"
+#   ifdef __CYGWIN__
+#      include "ricehdf.h"
+#   endif
 #endif
 
 /* Interface initialization */
diff -Naur hdf5-1.6.0/src/H5private.h myhdf5-1.6.0/src/H5private.h
--- hdf5-1.6.0/src/H5private.h	2003-06-12 03:59:48.000000000 +0100
+++ myhdf5-1.6.0/src/H5private.h	2003-07-19 12:38:02.000000000 +0100
@@ -428,8 +428,12 @@
 #endif
 #ifndef SIZET_MAX
 #   define SIZET_MAX	((hsize_t)(size_t)(ssize_t)(-1))
+#if defined (__CYGWIN__)
+#   define SSIZET_MAX	SSIZE_MAX
+#else
 #   define SSIZET_MAX	((hsize_t)(ssize_t)((size_t)1<<(8*sizeof(ssize_t)-1)))
 #endif
+#endif
 #ifdef H5_HAVE_LARGE_HSIZET
 #define	HSIZET_MAX	ULLONG_MAX
 #define	HSSIZET_MAX	LLONG_MAX
diff -Naur hdf5-1.6.0/test/istore.c myhdf5-1.6.0/test/istore.c
--- hdf5-1.6.0/test/istore.c	2003-05-31 17:17:23.000000000 +0100
+++ myhdf5-1.6.0/test/istore.c	2003-07-19 14:48:21.000000000 +0100
@@ -47,7 +47,11 @@
 #define TEST_DATATYPE   H5T_NATIVE_UCHAR
 
 #define TEST_CHUNK_SIZE 50
-#define TEST_SPARSE_SIZE 1000000
+#ifdef H5_HAVE_LARGE_HSIZET
+#   define TEST_SPARSE_SIZE 1000000
+#else
+#   define TEST_SPARSE_SIZE 1200
+#endif
 
 hsize_t chunk_dims[H5O_LAYOUT_NDIMS];
 hssize_t zero[H5O_LAYOUT_NDIMS];
